import request from '@/utils/request'

// 提现申请列表
export function withdrawList(urlParams, data) {
  return request({
    url: '/api/v1/mp/admin/channel/withdraw/list',
    method: 'post',
    data,
    urlParams
  })
}

// 提现申请详情
export function withdrawDetail(data) {
  return request({
    url: '/api/v1/mp/admin/channel/withdraw/detail',
    method: 'post',
    data
  })
}

// 审核提现申请
export function withdrawVerify(data) {
  return request({
    url: '/api/v1/mp/admin/channel/withdraw/verify',
    method: 'post',
    data
  })
}

// 导出
export function exchangeWithdrawExport(data) {
  return request({
    url: '/api/v1/mp/admin/channel/withdraw/export',
    method: 'post',
    timeout: 15 * 60 * 1000,
    data
  })
}
